/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* firewall_logs_email.htm */

function firewallLogsEmailValidate ()
    {
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtLogIdentifier,Please enter an identifier to use for the logs";
    txtFieldIdArr[1] = "txtEmailServerAddr,Please enter the email server address";
    txtFieldIdArr[2] = "txtEmailReturnAddr,Please enter the return email address to be used when sending the logs via email";
    txtFieldIdArr[3] = "txtEmailSendAddr,Please enter the email address to send the logs to";
    txtFieldIdArr[4] = "txtSmtpLoginUserName,Please enter the SMTP server login user name";
    txtFieldIdArr[5] = "txtSmtpLoginPwd,Please enter the SMTP server login password";
    txtFieldIdArr[6] = "txtSyslogServer,Please enter the syslog server";
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;

    if (serverNameCheck ('txtEmailServerAddr') == false)
        return false;

    if (serverNameCheck ('txtSyslogServer') == false)
        return false;

    return true;
    }

function serverNameCheck (fieldId)
    {
    if (!fieldId) return true;
    var txtFieldObj = document.getElementById(fieldId);
    if (!txtFieldObj || txtFieldObj.disabled || txtFieldObj.value == "") return true;
    var svrName = txtFieldObj.value
    if (svrName.length > 255)
         {
        alert ("Invalid Server Name length (max. of 255 characters allowed)");
        txtFieldObj.focus();
        return false;
         }

    var lblArray = svrName.split(".");
    if (!lblArray || lblArray.length == 0) return true;
    for (var idx = 0; idx < lblArray.length; idx++)
        {
        var lblStr = lblArray[idx];
        if (lblStr.length > 63)
            {
            alert ("Invalid Server Name (max. of 63 characters in a label allowed)");
            txtFieldObj.focus();
            return false;
            }
        }

     return true;
    }  

    
function smtpLoginCheck ()
	{
	var smtpChkObj = document.getElementById ('rdbSmtpNoAuth');
	if (!smtpChkObj || smtpChkObj .disabled) return;
	if (smtpChkObj.checked)
		fieldStateChangeWr ('txtSmtpLoginUserName txtSmtpLoginPwd','','','');
	else
		fieldStateChangeWr ('','','txtSmtpLoginUserName txtSmtpLoginPwd','');
	}
	
function schedleUnitCheck  ()
	{
	var selectedValue = comboSelectedValueGet  ('selScheduleUnit');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 0:	/* never */
		case 1:	/* Hourly */
            fieldStateChangeWr ('selScheduleDay selScheduleTime rdbSchedTimeAm rdbSchedTimePm','','','');
            break;
		case 2:	/* Daily */
            fieldStateChangeWr ('selScheduleDay','','selScheduleTime rdbSchedTimeAm rdbSchedTimePm','');
            break;
		default:
            fieldStateChangeWr ('','','selScheduleDay selScheduleTime rdbSchedTimeAm rdbSchedTimePm','');
			break;
		}
	}
	
function fireWallLogsInit ()
	{
	emailLogsStatusCheck ();
	sysLogsStatusCheck ();
	sysLogsStatusCheck ();
	}
