/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/

function wan1DdnsStatusCheck ()
	{
	depFieldCheck ('rdbWan1Yes', true, '', '', '', 'tblWan1DdnsInfo');
	depFieldCheck ('rdbWan1Yes', false, '', 'tblWan1DdnsInfo', '', '');
	}

function wan2DdnsStatusCheck ()
	{
	depFieldCheck ('rdbWan2Yes', true, '', '', '', 'tblWan2DdnsInfo');
	depFieldCheck ('rdbWan2Yes', false, '', 'tblWan2DdnsInfo', '', '');
	}

function wan3DdnsStatusCheck ()
	{
	depFieldCheck ('rdbWan3Yes', true, '', '', '', 'tblWan3DdnsInfo');
	depFieldCheck ('rdbWan3Yes', false, '', 'tblWan3DdnsInfo', '', '');
	}

function wan4DdnsStatusCheck ()
	{
	depFieldCheck ('rdbWan4Yes', true, '', '', '', 'tblWan4DdnsInfo');
	depFieldCheck ('rdbWan4Yes', false, '', 'tblWan4DdnsInfo', '', '');
	}

function ddnsInit ()
	{
	var wan3TblObj = document.getElementById ('tblWan3Ddns');
	var wanModeObj = document.getElementById ('hdLoadMgmt');
    var wanModeStatusObj = document.getElementById('lblWanModeStatus');
	if (!wanModeObj || !(wanModeObj.value).length) return;
    wanModeStatusObj.innerHTML = wanModeObj.value;
	if (wanModeObj.value != "Load Balancing")
		{
		var primWanObj = document.getElementById ('hdPrimaryWan');
		if (!primWanObj || !(primWanObj.value).length) return;
	    wanModeStatusObj.innerHTML = wanModeObj.value + " " + primWanObj.value;
		if (primWanObj.value == "WAN1")
			{
			fieldStateChangeWr ('','tblWan2Ddns','','tblWan1Ddns');
			if (wan3TblObj)
				fieldStateChangeWr ('','tblWan3Ddns tblWan4Ddns','','');
			}
		else if (primWanObj.value == "WAN2")
			{
			fieldStateChangeWr ('','tblWan1Ddns','','tblWan2Ddns');
			if (wan3TblObj)
				fieldStateChangeWr ('','tblWan3Ddns tblWan4Ddns','','');
			}
		else if (primWanObj.value == "WAN3")
			{
			fieldStateChangeWr ('','tblWan1Ddns tblWan2Ddns tblWan4Ddns','','tblWan3Ddns');
			}
		else if (primWanObj.value == "WAN4")
			{
			fieldStateChangeWr ('','tblWan1Ddns tblWan2Ddns tblWan3Ddns','','tblWan4Ddns');
			}

		}
	wan1DdnsStatusCheck ();
	wan2DdnsStatusCheck ();
	if (wan3TblObj)
		{
		wan3DdnsStatusCheck ();
		wan4DdnsStatusCheck ();
		}	
	}
	
function ddnsValidate ()
    {
      /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Please specify a valid host and domain name for the Dynamic DNS service on WAN1';    
    var errMsgL10n2 = 'Please specify a valid user/account name for the Dynamic DNS service on WAN1';    
    var errMsgL10n3 = 'Please specify a valid password for the Dynamic DNS service on WAN1';    
    var errMsgL10n4 = 'Please specify a valid host and domain name for the Dynamic DNS service on WAN2';    
    var errMsgL10n5 = 'Please specify a valid user/account name for the Dynamic DNS service on WAN2';
    var errMsgL10n6 = 'Please specify a valid password for the Dynamic DNS service on WAN2';    
    var errMsgL10n7 = 'Please specify a valid host and domain name for the Dynamic DNS service on WAN3';
     var errMsgL10n8 = 'Please specify a valid user/account name for the Dynamic DNS service on WAN3';
    var errMsgL10n9 = 'Please specify a valid password for the Dynamic DNS service on WAN3';    
    var errMsgL10n10 = 'Please specify a valid host and domain name for the Dynamic DNS service on WAN4';
     var errMsgL10n11 = 'Please specify a valid user/account name for the Dynamic DNS service on WAN4';
    var errMsgL10n12 = 'Please specify a valid password for the Dynamic DNS service on WAN4';    
    var errMsgObjL10n = document.getElementById ('hd.validHstNameWan1');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.valusrNameWan1');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.validPassWan1');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.validHstNameWan2');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.valusrNameWan2');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.validPassWan2');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.validHstNameWan3');    
    if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.valusrNameWan3');
    if (errMsgObjL10n) errMsgL10n8= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.validPassWan3');
    if (errMsgObjL10n) errMsgL10n9= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.validHstNameWan4');
    if (errMsgObjL10n) errMsgL10n10= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.valusrNameWan4');
	if (errMsgObjL10n) errMsgL10n11= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.validPassWan4');
	if (errMsgObjL10n) errMsgL10n12= errMsgObjL10n.value;
	    /* L10N Error Message Collection End */
	        
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtWan1DDNSDomainName," +
    				   errMsgL10n1;
    txtFieldIdArr[1] = "txtWan1DDNSUsrName," +
    				   errMsgL10n2;
    txtFieldIdArr[2] = "txtWan1DDNSPasswd," +
    				   errMsgL10n3;
    				   
	var obj = document.getElementById ('tblWan2Ddns');
	if (obj)
		{
    txtFieldIdArr[3] = "txtWan2DDNSDomainName," +
    				   errMsgL10n4;
    txtFieldIdArr[4] = "txtWan2DDNSUsrName," +
    				   errMsgL10n5;
    txtFieldIdArr[5] = "txtWan2DDNSPasswd," +
    				   errMsgL10n6;
 		}
 	var obj1 = document.getElementById ('tblWan3Ddns');
	if (obj1)
		{
    txtFieldIdArr[6] = "txtWan3DDNSDomainName," +
    				  errMsgL10n7;
    txtFieldIdArr[7] = "txtWan3DDNSUsrName," +
    				   errMsgL10n8;
    txtFieldIdArr[8] = "txtWan3DDNSPasswd," +
    				  errMsgL10n9;
 		}
	var obj2 = document.getElementById ('tblWan4Ddns');
	if (obj2)
		{
    txtFieldIdArr[9] = "txtWan4DDNSDomainName," +
    				   errMsgL10n10;
    txtFieldIdArr[10] = "txtWan4DDNSUsrName," +
    				  errMsgL10n11;
    txtFieldIdArr[11] = "txtWan4DDNSPasswd," +
    				   errMsgL10n12;
 		}
	
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
    return true;
    }
