/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/

var prevDirection = 0;
var prevMode = 0;

function IkePolInitialSettings ()
	{
    prevDirection = comboSelectedValueGet ('selDirection');
    prevMode = comboSelectedValueGet ('selExchangeType');
	
	localIdentTypeCheck ();
	remoteIdentTypeCheck ();
    modeCfgStatusCheckWrap ();
    comboValueSet ('selExchangeType', prevMode);
	DPDCheck ();
    return;
  	}
function modeCfgStatusCheck (modeCfgValue)
 {
  if (modeCfgValue == null) return;
  var hrefObj = document.getElementById('hrefViewModeCfgRec');
  switch (modeCfgValue) 
  	{
  	case 0: /* NO */
  		fieldStateChangeWr ('selModeConfigRecord btnViewSelected selxAuthConfigAuthType','','selDirection selExchangeType','');
  		comboValueSet ('selDirection', prevDirection);
  		comboValueSet ('selExchangeType', prevMode);
		if (hrefObj)
			hrefObj.onclick = function () {return false;};
  		break;
  	case 1: /* YES */
  	    prevDirection = comboSelectedValueGet ('selDirection');
  	    prevMode = comboSelectedValueGet ('selExchangeType');
  		comboValueSet ('selDirection', 1);
  		fieldStateChangeWr ('selDirection','','selModeConfigRecord btnViewSelected selxAuthConfigAuthType selExchangeType','');
  		comboValueSet ('selExchangeType', 1);
		if (hrefObj)
			hrefObj.onclick = function () {return true;};
  		break;
  	}
    xauthStatusCheckWrap ();
  }

function xauthStatusCheck (xauthStatus)
	{
	if (xauthStatus == null) return;
	switch (xauthStatus)
		{
		case 0: /* None */
			fieldStateChangeWr ('txtxAuthConfigUserName txtxAuthConfigPasswd selxAuthConfigAuthType','','','');
			break;
		case 1: /* Edge Device */
			fieldStateChangeWr ('txtxAuthConfigUserName txtxAuthConfigPasswd','','selxAuthConfigAuthType','');
			break; 
		case 2: /* IPSEC Host */
			fieldStateChangeWr ('selxAuthConfigAuthType','','txtxAuthConfigUserName txtxAuthConfigPasswd','');
			break; 
		}
	}

function localIdentTypeCheck ()
	{
	var selValue = comboSelectedValueGet ('selLocalIdentifier');
	if (selValue == null) return;
	switch (parseInt (selValue, 10))
		{
		case 0:	/* LOCAL ID */
            fieldStateChangeWr ('txtAddIkeLocId', '', '', '');
            break;
		default:
			fieldStateChangeWr ('', '', 'txtAddIkeLocId', '');
			break;
		}
	return;
	}

function remoteIdentTypeCheck ()
	{
	var selValue = comboSelectedValueGet ('selRemoteIdentifier');
	if (selValue == null) return;
	switch (parseInt (selValue, 10))
		{
		case 0:	/* REMOTE ID */
			fieldStateChangeWr ('txtAddIkePeerID', '', 'rdbpresharedKeyEnable txtPresharedKey', '');
			authenticationMethodCheck ();
            break;
		case 3:	/* DER ASN1 DN */
			fieldStateChangeWr ('rdbpresharedKeyEnable txtPresharedKey', '', 'txtAddIkePeerID', '');
			document.getElementById('rdbpresharedKeyDisable').checked = true;
            break;
		default:
			fieldStateChangeWr ('', '', 'txtAddIkePeerID rdbpresharedKeyEnable txtPresharedKey', '');
			authenticationMethodCheck ();
			break;
		}
	return;
	}

function authenticationMethodCheck ()
	{
	if (document.getElementById('rdbpresharedKeyDisable').checked)
		fieldStateChangeWr ('txtPresharedKey','','','');
	else
		fieldStateChangeWr ('','','txtPresharedKey','');
  	}


function ikePolValidate ()
    {
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Please enter a name for the IKE policy.';
     var errMsgL10n2 ='Please enter a valid local identifier.';
     var errMsgL10n3 ='Please enter a valid peer identifier.';
     var errMsgL10n4 ='Please enter the pre-shared key for this connection.';
     var errMsgL10n5 ='Please enter a valid XAUTH user name.';
     var errMsgL10n6 ='Please enter a valid XAUTH password.';
     var errMsgL10n7 ='Invalid pre-shared key: Please enter key with length between 8 - 49 characters.';
     var errMsgL10n8 ='SA lifetime value should not exceed 10 digits.';
     var errMsgL10n9 ='Please enter the life-time in seconds for the security association created by this policy.';
     var errMsgL10n10 ='Invalid Detection Period - Please enter a value between 10-999.';
     var errMsgL10n11 ='Invalid Detection Period -';
     var errMsgL10n12 ='Invalid Reconnect after failure count - Please enter a value between 3-99.';
     var errMsgL10n13 ='Invalid Reconnect after failure count -';
     var errMsgObjL10n = document.getElementById ('hd.entrIkePolname');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.entrValLocalId');
     if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.entrValPeerId');
     if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.entrPreShrdKey');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.enteValXauthUname');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.enteValXauthPass');
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.entePreShrdKeyLen');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.saLifTimVal');
     if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.entrLifTimInSecFrSecuPol');
     if (errMsgObjL10n) errMsgL10n9 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalDetectPeriodBet');
     if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalDetectPeriod1');
     if (errMsgObjL10n) errMsgL10n11 = errMsgObjL10n.value+"-";
     errMsgObjL10n = document.getElementById ('hd.invalReconnectAftrFailBet');
     if (errMsgObjL10n) errMsgL10n12 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalReconnectAftrFail1');
     if (errMsgObjL10n) errMsgL10n13 = errMsgObjL10n.value+"-";
      /* L10N Error Message Collection End */
      
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtAddIkePolName," +errMsgL10n1;
    txtFieldIdArr[1] = "txtAddIkeLocId," +errMsgL10n2;                       
    txtFieldIdArr[2] = "txtAddIkePeerID," + errMsgL10n3;
    txtFieldIdArr[3] = "txtPresharedKey," + errMsgL10n4;
    txtFieldIdArr[4] = "txtxAuthConfigUserName," + errMsgL10n5;
    txtFieldIdArr[5] = "txtxAuthConfigPasswd," + errMsgL10n6;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
    var result = false;
    result = fieldLengthCheck ('txtPresharedKey', 8, 49,errMsgL10n7);   
    if (result == false)
        return false;
    var saIkeLifeTimeObj = document.getElementById('txtAddIkePolLifeTime');
    if (!saIkeLifeTimeObj || saIkeLifeTimeObj.disabled) return true;
    if (saIkeLifeTimeObj.value.length > 10)
    	{
        alert (errMsgL10n8);
    	return false;    	
    	}
    if (numericValueRangeCheck (saIkeLifeTimeObj, 1, 
                                errMsgL10n9,
                                '', '', false, "", "") == false)
         return false;

	obj = document.getElementById('txtDetectionPeriod');
	if (numericValueRangeCheck (obj , 1, 
                            errMsgL10n10,
                            10, 999, true, errMsgL10n11, "") == false)
	return false; 

	obj = document.getElementById('txtReconnectCount');
	if (numericValueRangeCheck (obj , 1, 
                            errMsgL10n12,
                            3, 99, true, errMsgL10n13, "") == false)
	return false; 

    /* enable dependent stuff if modeconfig is enabled */
    var exchTypeObj = document.getElementById('selExchangeType');
    if (!exchTypeObj) return;

        {
        var objIdArr = new Array ();
        objIdArr[0] = 'selExchangeType';
        objIdArr[1] = 'selLocalIdentifier';
        objIdArr[2] = 'selRemoteIdentifier';
        objIdArr[3] = 'selDirection';
        for (var i = 0; i < objIdArr.length; ++i)
            {
            var obj = document.getElementById(objIdArr[i]);
            if (obj)
                 obj.disabled = false;
            }
        }
    return true;
    }
function IkePolInitialSettingsWrap ()
	{
    IkePolInitialSettings ();
    DPDCheck ();
  	}

function DPDCheck ()
	{
	/* L10N Error Message Collection Start */
	var errMsgL10n10 ='Invalid Detection Period - Please enter a value between 10-999';
    var errMsgL10n11 ='Invalid Detection Period -';
    var errMsgL10n12 ='Invalid Reconnect after failure count - Please enter a value between 3-99';
    var errMsgL10n13 ='Invalid Reconnect after failure count -';
    errMsgObjL10n = document.getElementById ('hd.invalDetectPeriodBet');
    if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalDetectPeriod1');
    if (errMsgObjL10n) errMsgL10n11 = errMsgObjL10n.value+"-";
    errMsgObjL10n = document.getElementById ('hd.invalReconnectAftrFailBet');
    if (errMsgObjL10n) errMsgL10n12 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalReconnectAftrFail1');
    if (errMsgObjL10n) errMsgL10n13 = errMsgObjL10n.value+"-";


	depFieldCheck ('rdbDPDEnable', true, '','','txtReconnectCount txtDetectionPeriod','');
	depFieldCheck ('rdbDPDEnable', false, 'txtReconnectCount txtDetectionPeriod','','','');
	depFieldCheck ('rdbDPDDisable', true, 'txtReconnectCount txtDetectionPeriod','','','');
	depFieldCheck ('rdbDPDDisable', false, '','','txtReconnectCount txtDetectionPeriod','');

	obj = document.getElementById('txtDetectionPeriod');
	if (numericValueRangeCheck (obj , 1, 
                            errMsgL10n10,
                            10, 999, true, errMsgL10n11, "") == false)
	return false; 

	obj = document.getElementById('txtReconnectCount');
	if (numericValueRangeCheck (obj , 1, 
                           errMsgL10n12,
                            3, 99, true, errMsgL10n13, "") == false)
	return false; 

	}

