/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* login_policies_ip.htm */

function definedAddressValidate ()
    {
	/* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Please Specify Network Address / IP Address';    
    var errMsgL10n2 = 'Invalid Mask Length - Please enter a value between 0-32';
    var errMsgL10n3 = 'Invalid port number';
    var errMsgObjL10n = document.getElementById ('hd.specNetIpAddr');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalMaskLen');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalPrtNumL');
    if (errMsgObjL10n) errMsgL10n3= errMsgObjL10n.value;
    /* L10N Error Message Collection End */
     
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtNetworkIpAddress," + errMsgL10n1;

    if (txtFieldArrayCheck (txtFieldIdArr) == false)
	    return false;
	    
    if (ipAddrCheck() == false)
	    return false;

	/* get and validate port */
	obj = document.getElementById('txtMaskLength');
	if (numericValueRangeCheck (obj , 1, errMsgL10n2,
                            0, 32, true, errMsgL10n3+'-', "") == false)
	    return false;

    return true;
    }

function ipAddrCheck()
	{
      /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid Network Address / IP Address';
    var errMsgL10n2 = 'for octet';   
    var errMsgObjL10n = document.getElementById ('hd.invalNetIpAddr');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateL');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */

	var ipAddrObj = document.getElementById ('txtNetworkIpAddress');
	var octetArray = ipAddrObj.value.split(".");
	if (octetArray.length == 4 && !isNaN (octetArray[0]) && !isNaN (octetArray[1]) && !isNaN (octetArray[2]) && !isNaN (octetArray[3]))
		{
		var octArray = new Array();
		octArray[0] = document.getElementById ('ipOctet1');
		octArray[0].value = octetArray[0];
		octArray[1] = document.getElementById ('ipOctet2');
		octArray[1].value = octetArray[1];
		octArray[2] = document.getElementById ('ipOctet3');
		octArray[2].value = octetArray[2];
		octArray[3] = document.getElementById ('ipOctet4');
		octArray[3].value = octetArray[3];

		var selIpTypeObj = document.getElementById('selSourceAddressype');
		if (selIpTypeObj)
			{
			if (selIpTypeObj.value == "2")
				{
				if (ipv4AddrFormatCheck1 (octArray, 'SN', false, true,
			           errMsgL10n1+':', errMsgL10n2+' ', true) == false)
					{
					ipAddrObj.focus ();
					return false;
					}
				}
			else
				{
				if (ipv4AddrFormatCheck1 (octArray, 'IP', false, true,
			           errMsgL10n1+':', errMsgL10n2+' ', true) == false)
					{
					ipAddrObj.focus ();
					return false;
					}
				}
			}
		}
	else
		{
		alert (errMsgL10n1);
		ipAddrObj.focus ();
		return false;
		}
	}

function checkAddressType ()
	{
	var selectedValue = comboSelectedValueGet ('selSourceAddressype');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 1:		/* ICMP */
			fieldStateChangeWr ('txtMaskLength','','','');
			break;
		default:	/* TCP | UDP */
			fieldStateChangeWr ('','','txtMaskLength','');
			break;
		}
	}
function formSubmitIp (formFlag)
{
	if(formFlag == 0)
		document.frmGet.submit();
	else
		document.frmGetByBrowser.submit();
}
/* login_policies_ip.htm End*/

/* login_policies.htm */

function showValue()
{
	var val = document.getElementById("hid1");
	alert(val.value);
}

function formSubmit (formFlag)
{
	if(formFlag == 1)
		document.frmGetByIp.submit();
	else
		document.frmGetByBrowser.submit();
}

function checkUserType ()
{
	var userType = document.getElementById("hidUsrType");
	if(userType.value == "3")
	{
		fieldStateChangeWr ('chkLogin','','','');
	}
}

function validateMsg ()
{
	var userType = document.getElementById("hidUsrType");
	if(userType.value == "3")
	{
		return changeValidate ();
	}
}

function changeValidate ()
{
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'This will disable remote administration capability and it will not be possible to undo this action remotely.'; 
    var errMsgObjL10n = document.getElementById ('hd.disableRemoteAdmin');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */

	var chkObj = document.getElementById("chkDenyLogin");
	if (chkObj.checked == true)
	{
		return confirm (errMsgL10n1, '');
	}
}

/* login_policies.htm End*/
